﻿using Borepin.Base;
using Borepin.Page;
using Borepin.Service.Navigation;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class LoginPageModel : PageModelBase
    {
        private ICommand _signInCommand;
        private INavigationService _NaviagtionService;

        public ICommand SignInCommand
        {
            get => _signInCommand;
            set => SetProperty(ref _signInCommand, value);
        }

        public LoginPageModel(INavigationService navigationService)
        {
            _NaviagtionService = navigationService;
            SignInCommand = new Command(OnSignInAction);
        }

        private void OnSignInAction(object obj)
        {
            _NaviagtionService.NaviagteToAsync<DashboardPageModel>();
        }
    }
}
