﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Borepin.Service.Navigation
{
    public interface INavigationService
    {
        /// <summary>
        /// Navigatoin method to push onto the Navigaiton Stack
        /// </summary>
        /// <typeparam name="TPageModelBase"></typeparam>
        /// <param name="navigationData"></param>
        /// <param name="setRoot"></param>
        /// <returns></returns>
        Task NaviagteToAsync<TPageModelBase>(object navigationData = null, bool setRoot = false);
        
        /// <summary>
        /// Nagivation method to pop of Navigation Stack
        /// </summary>
        /// <returns></returns>
        Task GoBackAsync();
        
    }
}
